.bb
.lm
.ifnot hlp
.hl 1 Conditional text
Sometimes you may wish to have 2 different copies of the same
document.  There are many ways to achieve this goal. Only 3 methods
will be considered.
.list
.le .REQUIRE may be used to achieve this goal.  You can break up the
document into small sections, and then set up 2 master files which you might
call DOCUMENT1.RNO or DOCUMENT2.RNO.  Each master file would then require
only those sections appropriate to generating each different document.
.le SUBSTITUTIONS can be used to change a document.  For example you
may wish to generate different documents each personalized.  You could
define different substitutions which would generate different output.
.le Finally you could use the .IF, .IF NOT, .ENDIF, and .VARIANT statements
to conditionlize sections of a document.  These are shown below.
.end list 2
.note
The .IF, .IF NOT, and .ENDIF commands must be the first command
on a line.
.end note
.endif hlp
.lm+5
.if hlp
.i-6;2 CONDITIONALS
.endif hlp
.tp5.i-5; .IF aaa
.s.x IF
This statement causes the text following it to be ignored until an .ENDIF aaa
statement is encountered.
The aaa is a label which controls the action of the .IF.  If aaa has been
previously defined in a .VARIANT statement then the text is not skipped.
If not defined the text is skipped.
.s.tp5.i-5; .IF NOT aaa
.s.x IF NOT
This statement causes the text following it to be ignored if aaa is undefined.
In other words if a .VARIANT statement preceeds the .IF NOT with the label aaa
then the text is skipped.
.s.tp5.i-5; .ENDIF aaa
.s.x ENDIF
This statement terminates the range of the .IF or .IF NOT statements.
The label aaa must be the same as the previous .IF which is terminated.
.s.tp5.i-5; .VARIANT aaa
.s.x VARIANT
This statement defines a label aaa which is used to control the action of
subsequent .IF commands.  aaa may be up to 10 characters in either upper
or lower case.  The case is ignored and ABC or abc are equivalent labels.
If the label is defined in the VARIANT statement then .IF aaa will cause
text to be printed and .IF NOT aaa will suppress text.
.i5; For example:
.nf.LM+10
_.VARIANT NOTES
_.IF notes
This line is printed
_.ENDIF notes
_.IF NOT notes
This line is not printed
_.ENDIF notes
.f.lm-10
.eb
